Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class ReplyHeader_1_2Helper

    java.lang.Object
      |
      +--org.omg.GIOP.ReplyHeader_1_2Helper

public class ReplyHeader_1_2Helper
extends java.lang.Object

Helper class for : ReplyHeader_1_2

Author:
  OpenORB Compiler

Constructor Summary
`ReplyHeader_1_2Helper()`

Method Summary
`static ReplyHeader_1_2` | `extract(Any a)` Extract ReplyHeader_1_2 from an any
`static java.lang.String` | `id()` Return the ReplyHeader_1_2 IDL ID
`static void` | `insert(Any a, ReplyHeader_1_2 t)` Insert ReplyHeader_1_2 into an any
`static ReplyHeader_1_2` | `read(InputStream istream)` Read ReplyHeader_1_2 from a marshalled stream
`static TypeCode` | `type()` Return the ReplyHeader_1_2 TypeCode
`static void` | `write(OutputStream ostream, ReplyHeader_1_2 value)` Write ReplyHeader_1_2 into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplyHeader_1_2Helper

    public ReplyHeader_1_2Helper()

Method Detail

### insert

    public static void insert(Any a,
                              ReplyHeader_1_2 t)

  Insert ReplyHeader_1_2 into an any
  Parameters:
    `a` - an any
    `t` - ReplyHeader_1_2 value

### extract

    public static ReplyHeader_1_2 extract(Any a)

  Extract ReplyHeader_1_2 from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ReplyHeader_1_2 value

### type

    public static TypeCode type()

  Return the ReplyHeader_1_2 TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ReplyHeader_1_2 IDL ID
  Returns:
    an ID

### read

    public static ReplyHeader_1_2 read(InputStream istream)

  Read ReplyHeader_1_2 from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ReplyHeader_1_2 value

### write

    public static void write(OutputStream ostream,
                             ReplyHeader_1_2 value)

  Write ReplyHeader_1_2 into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ReplyHeader_1_2 value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD